<?php
rg_log("FILE: /inc/user/home-page");

$_home = '';

$rg['page_ui'] = rg_user_info($db, 0, $user, "");
if ($rg['page_ui']['exists'] == 0) {
	$_home .= rg_template("user/invalid.html", $rg, TRUE /* xss */);
	return;
}

rg_watch_hl_process($db, $rg, 'user', $rg['page_ui']['uid'],
	0, $rg['current_url']);

$_home .= rg_template('user/home.html', $rg, TRUE /*xss*/);

// List of repositories
//$_home .= 'Repositories:';
$_home .= rg_repo_list($db, $rg, '', $rg['page_ui']['uid']);


// hints
$hints = array();

if ($rg['page_ui']['uid'] == $rg['login_ui']['uid']) {
	if (empty($rg['login_ui']['email']))
		$hints[]['HTML:hint'] = rg_template('user/hints/email_empty.html',
			$rg, TRUE /*xss*/);
	else if ($rg['login_ui']['confirmed'] == 0)
		$hints[]['HTML:hint'] = rg_template('user/hints/econf.html',
			$rg, TRUE /*xss*/);

	$r = rg_totp_enrolled($db, $rg['login_ui']['uid']);
	if (($r['ok'] == 1) && ($r['enrolled'] == 0))
		$hints[]['HTML:hint'] = rg_template('user/hints/totp.html',
			$rg, TRUE /*xss*/);
}

$_home .= rg_template_table('hints/list', $hints, $rg);
?>
